MKFS.FAT(8)

BEZEICHNUNG
mkfs.fat - ein MS-DOS-Dateisystem unter Linux anlegen

ÜBERSICHT
mkfs.fat [OPTIONEN] GERÄT [BLOCKANZAHL]

BESCHREIBUNG
mkfs.fat wird unter Linux zum Erstellen eines MS-DOS-Dateisystems auf einem Gerät (üblicherweise einer Plattenpartition) verwendet. Das GERÄT ist eine Spezialdatei, die zu einem Gerät gehört (zum Beispiel /dev/sdXX). Die BLOCKANZAHL ist die Anzahl der Blöcke auf dem Gerät. Falls diese nicht angegeben ist, ermittelt mkfs.fat die Dateisystemgröße automatisch.

OPTIONEN

-a  deaktiviert die Ausrichtung der Datenstrukturen an der Clustergröße. Normalerweise richtet mkfs.fat für jedes Dateisystem die Datenstrukturen auf diese Weise aus, außer bei sehr kleinen Dateisystemen. Durch die Deaktivierung werden einige wenige Speichercluster zusätzlich bereitgestellt, was aber in RAID-Verbünden, auf Flash-Speichermedien oder Festplatten mit großen Sektoren deutlich auf Kosten der Performance geht.

-A  verwendet die Atari-Variante des MS-DOS-Dateisystems. Dies ist die Vorgabe, wenn mkfs.fat auf einem Atari ausgeführt wird; in diesem Fall schaltet diese Option das Atari-Format aus. Es gibt einige Unterschiede bei der Verwendung des Atari-Formats: Falls vom Benutzer nicht anders angewiesen, verwendet mkfs.fat immer zwei Sektoren pro Cluster, das GEMDOS andere Werte nicht besonders mag. Es folgt auch der maximalen Sektorgröße, mit der GEMDOS umgehen kann. Größere Dateisysteme werden durch Erhöhen der logischen Sektorgröße verwaltet. Unter dem Atari-Format wird eine Atari-kompatible Seriennummer für das Dateisystem erzeugt, und für Dateisysteme einer der üblichen Diskettengrößen (720kB, 1.2MB, 1.44MB, 2.88MB) wird ein 12-Bit-FAT verwendet, anderenfalls ein 16-Bit-FAT. Dies kann mit der Option -F außer Kraft gesetzt werden. Einige PC-spezifische Bootsektor-Felder werden nicht geschrieben und eine Bootmeldung (Option -m) wird ignoriert.

-b SICHERUNGSSEKTOR
    gibt den Ort des Boot-Sicherungssektors für FAT32 an. Die Vorgabe ist von der Anzahl der reservierten Sektoren abhängig, aber üblicherweise ist es der Sektor 6. Die Sicherung muss innerhalb des Bereichs der reservierten Sektoren liegen.

-c  prüft das Gerät auf fehlerhafte Blöcke, bevor das Dateisystem angelegt wird.

-C  erstellt die als GERÄT in der Befehlszeile angegebene Datei und schreibt das zu erstellende Dateisystem hinein. Dies kann dazu verwendet werden, das neue Dateisystem in einer Datei statt auf einem realen Gerät zu erzeugen und zu vermeiden, vorab dd zu verwenden, um eine Datei der entsprechenden Größe zu erzeugen. Mit dieser Option muss die BLOCKANZAHL angegeben werden, da anderenfalls die beabsichtigte Größe des Dateisystems nicht bekannt wäre. Die erzeugte Datei ist eine Sparse-Datei (Datei mit Löchern), die tatsächlich nur die Metadatenbereiche enthält (Bootsektor, FATs und Wurzelverzeichnis). Die Datenportionen werden nicht auf der Platte gespeichert, aber die Datei wird dennoch die korrekte Größe haben. Die entstandene Datei kann später auf eine Diskette oder ein anderes Gerät geschrieben oder über ein Loop-Gerät eingehängt werden.

-D LAUFWERKSNUMMER
    gibt die im FAT-Bootsektor zu speichernde BIOS-Laufwerksnummer an. Diese Nummer ist üblicherweise 0x80 für Festplatten und 0x00 für Diskettenlaufwerke oder Partitionen, die als Disketten-Emulation verwendet werden sollen.

-f ANZAHL-DER-FATS
    gibt die Anzahl der Dateizuweisungstabellen (»File allocation tables«) im Dateisystem an. Die Vorgabe ist 2.

-F FAT-GRÖSSE
    gibt den Typ der verwendeten Dateizuweisungstabellen (FATs) an (12, 16 oder 32 Bit). Falls nichts angegeben wird, wählt mkfs.fat automatisch zwischen 12, 16 und 32 Bit, je nachdem, was sich am besten für die Größe des Dateisystems eignet.

-h ANZAHL-DER-VERSTECKTEN-SEKTOREN
    wählt die Anzahl der versteckten Sektoren im Datenträger. Anscheinend stören sich einige Digitalkameras daran, wenn Sie sie mit einer CF-Karte bestücken, die keine solchen versteckten Sektoren enthält. Mit dieser Option können Sie diese zufriedenstellen.

-i DATENTRÄGERKENNUNG
    legt die Datenträgerkennung (ID) des neu erstellten Dateisystems fest; die DATENTRÄGERKENNUNG ist eine 32-Bit-Hexadezimalzahl (zum Beispiel 2e24ec82). Die Vorgabe ist eine Zahl, die aus der Erstellungszeit des Dateisystems abgeleitet wird.

-I  Für Plattenlaufwerke ist es typisch, dass sie partitioniert werden, doch es ist Ihnen standardmäßig nicht erlaubt, ein Dateisystem auf dem gesamten Gerät anzulegen. mkfs.fat reklamiert eine solchen Versuch und verweigert die Arbeit. Das ist bei MO-Medien anders. Sie werden dort nicht immer Partitionen benötigen. Das Dateisystem kann sich direkt über das gesamte Medium erstrecken. Unter anderen Betriebssystemen ist dies als das »Superfloppy«-Format bekannt. Dieser Schalter weist mkfs.fat an, korrekt zu arbeiten.

-l DATEI
    liest die Liste der fehlerhaften Blöcke aus der angegebenen DATEI.

-m MELDUNGSDATEI
    legt die Meldung fest, die der Benutzer bei Versuchen erhält, das Dateisystem zu booten, ohne dass ein Betriebssystem korrekt installiert ist. Die Größe der Meldungsdatei darf 418 Byte nicht überschreiten, wobei zu beachten ist, dass Zeilenvorschübe in Wagenrücklauf/Zeilenvorschub-Kombinationen umgewandelt und Tabulatoren expandiert werden. Falls der Dateiname ein Minuszeichen (-) ist, wird der Text aus der Standardeingabe gelesen.

-M FAT-MEDIENTYP
    gibt den Medientyp an, der im FAT-Bootsektor gespeichert werden soll. Dieser Wert ist üblicherweise 0xF8 für Festplatten und 0xF0 oder ein Wert von 0xF9 bis 0xFF für Disketten oder Partitionen, die als Disketten-Emulation verwendet werden sollen.

-n DATENTRÄGERNAME
    legt den Datenträgernamen (die Bezeichnung) des Dateisystems fest. Der Datenträgername darf bis zu 11 Zeichen lang sein. Die Vorgabe ist keine Bezeichnung.

-r EINTRÄGE-IM-WURZELVERZEICHNIS
    wählt die Anzahl der im Wurzelverzeichnis verfügbaren Einträge. Die Vorgabe ist 112 oder 224 für Disketten und 512 für Festplatten.

-R ANZAHL-DER-RESERVIERTEN-SEKTOREN
    wählt die Anzahl der reservierten Sektoren. Im FAT32-Format werden mindestens zwei reservierte Sektoren benötigt, die Vorgabe ist 32. Andernfalls ist die Vorgabe 1 (nur der Bootsektor).

-s SEKTOREN-PRO-CLUSTER
    wählt die Anzahl der Plattensektoren pro Cluster. Diese Anzahl muss eine Zweierpotenz sein, also 1, 2, 4, 8, … 128.

-S LOGISCHE-SEKTORGRÖSSE
    wählt die Anzahl der Bytes pro logischem Sektor. Diese Anzahl muss eine Zweierpotenz und größer oder gleich 512 sein, also 512, 1024, 2048, 4096, 8192, 16384 oder 32768. Größere Werte als 4096 sind nicht zur FAT-Dateisystemspezifikation konform und könnten nicht überall funktionieren.

-v  gibt ausführliche Meldungen aus.

--invariant
    verwendet konstante statt zufällig erzeugte Werte oder zeitbasierte Daten für Datenträgerkennung und Erstellungszeit. Mit dieser Option liefern mehrfache Durchläufe von mkfs.fat auf dem gleichen Gerät identische Ergebnisse. Der Hauptzweck dieser Option besteht im Testen von mkfs.fat.

--help
    zeigt eine Zusammenfassung der Befehlszeilenoptionen an und beendet das Programm.

FEHLER
mkfs.fat kann keine bootfähigen Dateisysteme anlegen. Das ist aus verschiedenen Gründen nicht so einfach, wie Sie auf den ersten Blick vielleicht denken und wurde bereits ausgiebig diskutiert. mkfs.fat wird dies schlichtweg nicht unterstützen ;)

SIEHE AUCH
fatlabel(8)
fsck.fat(8)

HOMEPAGE
Die Heimat des Projekts dosfstools ist seine GitHub-Projektseite (https://github.com/dosfstools/dosfstools).

AUTOREN
dosfstools wurde von Werner Almesberger (werner.almesberger@lrc.di.epfl.ch), , Roman Hodek und anderen geschrieben. Der aktuelle Betreuer ist Andreas Bombe (aeb@debian.org).

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.